Passenger 6.0.13

0
53
Passenger 6.0.13


Version 6.0.13 of the Passenger application server has been released. This release adds Rocky Linux and Alma Linux support, as well as FreeBSD 13.

Passenger 6 introduced Generic Language Support, or: the ability to support any and all arbitrary apps.

Add option to preload bundler

In order to ease the use of Ruby versions which come bundled with a version of a gem that also has an newer version published such as io-wait in Ruby 3.0.2, we added new Passenger config options to allow you to load bundler before your app is loaded. This is off by default and must be manually enabled in your config using the relevant choice from these options:

  • Apache: PassengerPreloadBundler
  • Nginx: passenger_preload_bundler
  • Standalone: --preload_bundler

Updates & improvements

  • Add WASM mime type, Closes GH-2398.

  • Fix compilation on FreeBSD 13. Closes GH-2402.

  • [Ruby] Fixes app process crash when ECONNRESET received.

  • Fix automated fetching of pcre source for installer scripts.

  • Bump preferred nginx 1.20.1 → 1.20.2.

  • [Node] Suppresses the winston circular dependency warning.

  • [RPMs] EL8 RPMs are now built on Rocky linux, and should be compatible with Alma, Rocky, CentOS, and RHEL.

  • Updated various library versions used in precompiled binaries (used for e.g. gem installs):

    • ccache 4.4.2 → 4.6
    • cmake 3.21.4 → 3.22.3
    • curl 7.79.1 → 7.82.0
    • git 2.33.1 → 2.35.1
    • gnupg 2.3.3 → 2.3.4
    • libgpg_error 1.42 → 1.44
    • ntbtls 0.2.0 → 0.3.0
    • openssl 1.1.1l → 1.1.1n
    • rubygems 3.2.30 → 3.3.9
    • zstd 1.5.0 → 1.5.2
    • ruby
      • dropped 2.4.10
      • dropped 2.5.9
      • 2.6.8 → 2.6.9
      • 2.7.4 → 2.7.5
      • 3.0.2 → 3.0.3
      • added 3.1.1

Installing 6.0.13

Please see the installation guide for advice on getting started with Passenger. Coming from a language other than Ruby, Python, Meteor or Node? Even if we didn’t write a specific tutorial for your language, we made a generic guide that shows you the steps.

Upgrading to 6.0.13

We strongly advise staying up to date with the latest version.

Please be aware that you can enjoy enterprise features and sponsor the open source development directly by buying Phusion Passenger Enterprise.



Source link

Leave a reply

Please enter your comment!
Please enter your name here